#
# spec file for package freetype (Version 1.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext te_kpath xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_kpath texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         freetype
Copyright:    1996 David Turner ; 1998 Robert Wilhelm ; Werner Lemberg
Group:        Development/Libraries
Provides:     freetype 
Autoreqprov:  on
Version:      1.3.1
Release:      314
URL:          http://www.freetype.org
Summary:      TrueType Font Engine
Source: ftp://ftp.freetype.org/pub/freetype1/freetype-%{version}.tar.bz2
Patch0: freetype-tools-1.3.1.patch
Patch1: freetype-%{version}.dif
Patch2: freetype-%{version}-nopatent.patch
BuildRoot:    /var/tmp/%{name}-build 

%description
Library for working with TrueType Fonts.
Documentation at /usr/share/doc/packages/freetype

Authors:
--------
    David Turner <turner@enst.fr>
    Robert Wilhelm <robert@physiol.med.tu-muenchen.de>
    Werner Lemberg <a7971428@unet.univie.ac.at>

SuSE series: gra

%package -n freetype-tools
Summary:      Bundled tests, demos and tools for FreeType. Needed for CJK-LaTeX.
Group: Development/Libraries
Requires: freetype

%description -n freetype-tools
Bundled tests, demos and tools for FreeType. Needed for CJK-LaTeX.
The FreeType engine is a free and portable TrueType font rendering
engine. It has been developed to provide TT support to a great variety
of platforms and environments.
This package contains several programs bundled with the FreeType
engine for testing and demonstration purposes, as well as some
contributed utilities such as ttf2pk, ttf2bdf, ttf2pfb and ttfbanner.

Authors:
--------
    David Turner <david.turner@freetype.org>
    Robert Wilhelm <robert.wilhelm@freetype.org>
    Werner Lemberg <werner.lemberg@freetype.org>

SuSE series: gra

%prep
%setup
%patch0 -p1
%patch1
%patch2

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f contrib/ttf2pk contrib/ttf2bdf contrib/ttfbanner contrib/ttf2pfb}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
                   --with-locale-dir=/usr/share/locale \
                   %{_target_cpu}-suse-linux-gnu
make 
pushd contrib/ttf2bdf
CFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=/usr --mandir=$RPM_BUILD_ROOT%{_mandir} \
		%{_target_cpu}-suse-linux-gnu
    make
popd
pushd contrib/ttf2pk
CFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=/usr --mandir=$RPM_BUILD_ROOT%{_mandir} \
		--with-kpathsea-dir=/usr \
		%{_target_cpu}-suse-linux-gnu
    make
popd
pushd contrib/ttf2pfb
CFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=/usr --mandir=$RPM_BUILD_ROOT%{_mandir} \
		%{_target_cpu}-suse-linux-gnu
    make
popd
pushd contrib/ttfbanner
CFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=/usr --mandir=$RPM_BUILD_ROOT%{_mandir} \
		%{_target_cpu}-suse-linux-gnu
    make
popd

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr \
     gnulocaledir=$RPM_BUILD_ROOT/usr/share/locale \
     localedir=$RPM_BUILD_ROOT/usr/share/locale  install
for i in ttf2bdf ttf2pfb ttf2pk ttfbanner; do
    make -C contrib/$i prefix=$RPM_BUILD_ROOT/usr install
done
# ttf2tfm and ttf2pk both need the *.sfd, *.enc and *.rpl
# in their own directory.  (?)  Hmm...
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/ttf2pk
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/ttf2tfm
cp -av contrib/ttf2pk/data/*.{sfd,enc,rpl} $RPM_BUILD_ROOT/usr/share/texmf/ttf2pk
ln $RPM_BUILD_ROOT/usr/share/texmf/ttf2pk/*.{sfd,enc,rpl} $RPM_BUILD_ROOT/usr/share/texmf/ttf2tfm
mkdir -p $RPM_BUILD_ROOT/etc/ttf2pk
cp -av contrib/ttf2pk/data/ttfonts.map $RPM_BUILD_ROOT/etc/ttf2pk/ttfonts.map
ln -s /etc/ttf2pk/ttfonts.map $RPM_BUILD_ROOT/usr/share/texmf/ttf2pk/ttfonts.map
# copy documentation for freetype-tools:
mkdir -p freetype-tools-doc/ttf2bdf
mkdir -p freetype-tools-doc/ttf2pfb
mkdir -p freetype-tools-doc/ttf2pk
mkdir -p freetype-tools-doc/ttfbanner
cp contrib/ttf2bdf/README freetype-tools-doc/ttf2bdf
cp contrib/ttf2pfb/TODO freetype-tools-doc/ttf2pfb
cp contrib/ttf2pk/*.doc contrib/ttf2pk/README contrib/ttf2pk/TODO contrib/ttf2pk/BUGS freetype-tools-doc/ttf2pk
cp contrib/ttfbanner/README freetype-tools-doc/ttfbanner

%clean
rm -rf $RPM_BUILD_ROOT

%post -n freetype-tools
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
test -x usr/bin/texhash && usr/bin/texhash
exit 0

%postun -n freetype-tools
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
test -x usr/bin/texhash && usr/bin/texhash
exit 0

%files
%doc README license.txt docs/FAQ docs/TODO docs/*.txt
/usr/include/freetype
/usr/lib/libttf.la
/usr/lib/libttf.so
/usr/lib/libttf.so.2
/usr/lib/libttf.so.2.2.0
/usr/bin/ftview
/usr/bin/fttimer
/usr/bin/ftlint
/usr/bin/ftdump
/usr/bin/ftzoom
/usr/bin/ftstring
/usr/bin/ftstrpnm
/usr/bin/fterror
/usr/share/locale/*/LC_MESSAGES/freetype.mo

%files -n freetype-tools
%defattr(-, root, root)
%doc ./freetype-tools-doc
/usr/bin/ttf2bdf
/usr/bin/ttf2pfb
/usr/bin/ttf2pk
/usr/bin/ttf2tfm
/usr/bin/ttfbanner
# don't pack t1asm, because this file is in package t1utils:
#/usr/bin/t1asm
# don't pack getafm, because it is in the package psutils:
#/usr/bin/getafm
/usr/share/texmf/ttf2pk/Big5.sfd
/usr/share/texmf/ttf2pk/EUC.sfd
/usr/share/texmf/ttf2pk/SJIS.sfd
/usr/share/texmf/ttf2pk/UBg5plus.sfd
/usr/share/texmf/ttf2pk/UBig5.sfd
/usr/share/texmf/ttf2pk/UGBK.sfd
/usr/share/texmf/ttf2pk/UGB.sfd
/usr/share/texmf/ttf2pk/UJIS.sfd
/usr/share/texmf/ttf2pk/UKS.sfd
/usr/share/texmf/ttf2pk/Unicode.sfd
/usr/share/texmf/ttf2pk/ET5.enc
/usr/share/texmf/ttf2pk/T1-WGL4.enc
/usr/share/texmf/ttf2pk/VPS.rpl
/usr/share/texmf/ttf2pk/ttfonts.map
/usr/share/texmf/ttf2tfm/Big5.sfd
/usr/share/texmf/ttf2tfm/EUC.sfd
/usr/share/texmf/ttf2tfm/SJIS.sfd
/usr/share/texmf/ttf2tfm/UBg5plus.sfd
/usr/share/texmf/ttf2tfm/UBig5.sfd
/usr/share/texmf/ttf2tfm/UGBK.sfd
/usr/share/texmf/ttf2tfm/UGB.sfd
/usr/share/texmf/ttf2tfm/UJIS.sfd
/usr/share/texmf/ttf2tfm/UKS.sfd
/usr/share/texmf/ttf2tfm/Unicode.sfd
/usr/share/texmf/ttf2tfm/ET5.enc
/usr/share/texmf/ttf2tfm/T1-WGL4.enc
/usr/share/texmf/ttf2tfm/VPS.rpl
/usr/share/man/man1/ttf2pk.1.gz
/usr/share/man/man1/ttf2bdf.1.gz
/usr/share/man/man1/ttf2tfm.1.gz
%config /etc/ttf2pk/ttfonts.map

%changelog -n freetype
* Tue Aug 07 2001 - mfabian@suse.de
- add entries to /etc/ttf2pk/ttfonts.map to support the free
  Japanese TrueType fonts kochi-mincho.ttf and
  kochi-gothic.ttf from the ttf-kochi-mincho and ttf-kochi-gothic
  packages (needed by the cjk-latex-package)
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Fri Mar 16 2001 - nadvornik@suse.cz
- disabled compilation of bytecode interpreter
* Sun Mar 04 2001 - schwab@suse.de
- Don't use uninitialized data in ttf2tfm.
- Default to RPM_OPT_FLAGS in all compilations.
* Thu Feb 15 2001 - mfabian@suse.de
- add entries to /etc/ttf2pk/ttfonts.map to support the free
  Japanese TrueType fonts watanabe-mincho.ttf and
  wadalab-gothic.ttf from the xtt-fonts package (needed by the
  cjk-latex-package)
* Sun Jan 21 2001 - mfabian@suse.de
- add entries to /etc/ttf2pk/ttfonts.map to support the
  Korean Baekmuk TrueType fonts (needed by the cjk-latex package).
- mark ttfonts.map with %%config in spec file
* Fri Dec 08 2000 - mfabian@suse.de
- don't pack getafm, because it is in the package psutils,
  packing it here would result in a conflict.
* Mon Dec 04 2000 - mfabian@suse.de
- don't pack /usr/bin/t1asm, because this file is in the
  package t1utils, packing it here to would result in a conflict.
* Mon Dec 04 2000 - mfabian@suse.de
- added entries for the Bitstream Cyberbit True Type fonts
  and Microsofts Japanese True Type fonts msmincho.ttc and
  msgothic.ttc to ttfonts.map
* Thu Nov 30 2000 - mfabian@suse.de
- make new sub-package "freetype-tools".
  I choose this name because the equivalent Debian package has
  this name. This sub package contains some tools for FreeType
  which are needed by CJK-LaTeX.
- included the Debian patches by Anthony Fok <foka@debian.org>
  for ttfonts.map and UBig5.sfd which make changes necessary
  to use the free Arphic PL fonts for Chinese.
- also included the Debian patch to fix a va_arg problem
  which prevents the build on powerpc.
* Thu Apr 27 2000 - nadvornik@suse.cz
- changed Group tag
* Mon Apr 10 2000 - nadvornik@suse.cz
- fixed URL
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Tue Apr 04 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Wed Jan 19 2000 - ro@suse.de
- update to 1.3.1
- includes now in /usr/include/freetype
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 - ro@suse.de
- update to 1.2
* Mon Jun 29 1998 - ro@suse.de
- update to version 1.1
* Tue Mar 10 1998 - ro@suse.de
- added include file
* Mon Mar 09 1998 - ro@suse.de
- created new package / uses gettext / version 1.0
